Subject: bug#53209: stat shows wrong, non-existing device number

From: Joachim Wagner <[email-masked]>
Date: Wed, 12 Jan 2022 15:35:26 +0000

> Issue: The device number shown in `stat` output does not match the device
> numbers of any of the devices used by the filesystem.

Further reading suggests this a not a bug but a feature and only filesystems 
choose (major<<8)+minor of the primary device specified when mounting the 
filesystem.

I cloned git://git.sv.gnu.org/coreutils to add a sentence on this to stat's 
man page but coreutils/man/stat.x is only a template, missing what I see in 
`man stat` on my system. Trying to find out how to contribute to 
documentation, I encountered the following cycle with no answer:

https://www.gnu.org/help/
https://www.gnu.org/philosophy/free-doc.html
https://www.gnu.org/doc/doc.html
https://www.gnu.org/help/help.html#helpgnu

Joachim